com.collabnet.ce.soap60.webservices.categorization

## Class CategorizationAppSoapStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.categorization.CategorizationAppSoapStub

- All Implemented Interfaces:
    ICategorizationAppSoap

      public class CategorizationAppSoapStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapStub
      implements ICategorizationAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CategorizationAppSoapStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProjectToCategory(String sessionId, String projectId, String categoryId)` Adds a given project to a category.
    `CategorySoapDO` | `createCategory(String sessionId, String parentId, String title, String description)` Creates a category
    `void` | `deleteCategory(String sessionId, String categoryId)` Deletes an category.
    `CategorySoapList` | `getAllCategories(String sessionId)` Returns a list of all categories.
    `CategorySoapDO` | `getCategoryData(String sessionId, String categoryId)` Returns a data object for a given category
    `ProjectSoapList` | `getCategoryProjects(String sessionId, String categoryId, boolean includeSubcategories)` Gets list of projects in the specified category and, if requested, subcategories
    `CategorySoapList` | `getProjectCategories(String sessionId, String projectId)` Returns a list of categories the project belongs to
    `CategorySoapDO` | `getRootCategoryData(String sessionId)` Returns a data object for the root category
    `CategorySoapList` | `getSubcategories(String sessionId, String categoryId, boolean recursive)` Returns a list of subcategories to the specified category.
    `ProjectSoapList` | `getUncategorizedProjects(String sessionId)` Gets list of projects that have not been categorized
    `boolean` | `isCategorizationEnabled(String sessionId)` Checks if categorization support is enabled site-wide.
    `void` | `moveCategory(String sessionId, String categoryId, String dstCategoryId)` Moves a Category including all subcategories under different parent.
    `void` | `removeProjectFromCategory(String sessionId, String projectId, String categoryId)` Removes a given project from a category.
    `void` | `setCategoryData(String sessionId, CategorySoapDO categoryData)` Sets data on a specific category

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CategorizationAppSoapStub

          public CategorizationAppSoapStub(String soapServerUrl)

  - ### Method Detail

    - #### isCategorizationEnabled

          public boolean isCategorizationEnabled(String sessionId)
                                          throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Checks if categorization support is enabled site-wide.
      Specified by:
        `isCategorizationEnabled` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        true/false
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### createCategory

          public CategorySoapDO createCategory(String sessionId,
                                               String parentId,
                                               String title,
                                               String description)
                                        throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Creates a category
      Specified by:
        `createCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `parentId` - ID of the parent category
        `title` - Title of the category
        `description` - Description
      Returns:
        A category data object representing the newly created category
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing category already exists
        `RemoteException`

    - #### getCategoryData

          public CategorySoapDO getCategoryData(String sessionId,
                                                String categoryId)
                                         throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Returns a data object for a given category
      Specified by:
        `getCategoryData` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - Category id.
      Returns:
        Detailed data on the category.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getRootCategoryData

          public CategorySoapDO getRootCategoryData(String sessionId)
                                             throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Returns a data object for the root category
      Specified by:
        `getRootCategoryData` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        Detailed data on the root category.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### setCategoryData

          public void setCategoryData(String sessionId,
                                      CategorySoapDO categoryData)
                               throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Sets data on a specific category
      Specified by:
        `setCategoryData` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryData` - Detailed data on the category to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the object version mismatches the application server.
        `RemoteException`

    - #### deleteCategory

          public void deleteCategory(String sessionId,
                                     String categoryId)
                              throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Deletes an category.
      Specified by:
        `deleteCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - Category id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### getAllCategories

          public CategorySoapList getAllCategories(String sessionId)
                                            throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Returns a list of all categories.
      Specified by:
        `getAllCategories` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        List of categories within the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getSubcategories

          public CategorySoapList getSubcategories(String sessionId,
                                                   String categoryId,
                                                   boolean recursive)
                                            throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Returns a list of subcategories to the specified category.
      Specified by:
        `getSubcategories` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - category whose immediate subcategories should be returned
        `recursive` - set to true to get categories recursively
      Returns:
        List of categories in the root category.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### moveCategory

          public void moveCategory(String sessionId,
                                   String categoryId,
                                   String dstCategoryId)
                            throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Moves a Category including all subcategories under different parent. Fails completely if not everything can be moved.
      Specified by:
        `moveCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - Category to move
        `dstCategoryId` - Destination parent category
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### addProjectToCategory

          public void addProjectToCategory(String sessionId,
                                           String projectId,
                                           String categoryId)
                                    throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Adds a given project to a category.
      Specified by:
        `addProjectToCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - ID of the project to add to a category
        `categoryId` - ID of the category to add the project to
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### removeProjectFromCategory

          public void removeProjectFromCategory(String sessionId,
                                                String projectId,
                                                String categoryId)
                                         throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Removes a given project from a category.
      Specified by:
        `removeProjectFromCategory` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - ID of the project to remove from a category
        `categoryId` - ID of the category to remove the project from
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getProjectCategories

          public CategorySoapList getProjectCategories(String sessionId,
                                                       String projectId)
                                                throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Returns a list of categories the project belongs to
      Specified by:
        `getProjectCategories` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - ID of the project
      Returns:
        List of categories the project is in
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getCategoryProjects

          public ProjectSoapList getCategoryProjects(String sessionId,
                                                     String categoryId,
                                                     boolean includeSubcategories)
                                              throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Gets list of projects in the specified category and, if requested, subcategories
      Specified by:
        `getCategoryProjects` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
        `categoryId` - category id
        `includeSubcategories` - boolean, if true, includes projects in subcategories
      Returns:
        List of projects that are in the category
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getUncategorizedProjects

          public ProjectSoapList getUncategorizedProjects(String sessionId)
                                                   throws RemoteException

      Description copied from interface: `ICategorizationAppSoap`
      Gets list of projects that have not been categorized
      Specified by:
        `getUncategorizedProjects` in interface `ICategorizationAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        List of projects that are in the category
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

Copyright © 2019 CollabNet. All rights reserved.